:root {
  --nav-search-width: 250px;
}

.SearchButton {
  display: flex;
  margin: 5px;
  overflow: visible;
  transition: width 0.25s ease-in-out;
  width: 35px;
  &.active {
    background-color: var(--darkgray);
    width: var(--nav-search-width);
  }
  & .ClosedButton {
    cursor: pointer;
    opacity: 0.75;
    transition: opacity 0.2s;
    width: 35px;
    &:hover {
      opacity: 1;
    }
    & .pt-icon-standard {
      color: white;
      margin: 7px;
      transition: transform 0.25s ease-in-out;
      will-change: transform;
    }
    &.active {
      opacity: 1;
      & .pt-icon-standard {
        transform: rotate(90deg);
      }
    }
  }
  & .pt-input-group {
    flex: 1;
    & input {
      background-color: transparent;
      border: 0;
      box-shadow: none;
      box-sizing: border-box;
      color: white;
      font-family: "Palanquin", sans-serif;
      font-size: 13px;
      opacity: 0;
      outline: 0;
      margin: 0;
      padding: 0;
      transition: opacity 0.25s ease-in-out;
    }
    &::placeholder {
      color: var(--lightgray);
    }
    &.active {
      & input {
        opacity: 1;
      }
    }
  }
  & .results {
    background-color: var(--darkgray);
    border-radius: 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);
    display: none;
    left: 0;
    list-style: none;
    margin: 0;
    max-height: 300px;
    overflow-y: scroll;
    padding: 0;
    position: absolute;
    top: 40px;
    width: var(--nav-search-width);
    &.active {
      display: block;
    }
    & .result {
      transition: background-color 0.25s;
      &.highlighted, &:hover {
        background-color: var(--gray);
      }
      & .result-container {
        align-items: flex-start;
        display: flex;
        padding: 10px 10px 10px 6px;
        text-align: left;
        & .result-icon {
          display: inline-block;
          margin-right: 6px;
          vertical-align: top;
          width: 26px;
        }
        & .result-text {
          display: inline-block;
          & .title {
            color: white;
            font-size: 14px;
            line-height: 1.25;
            margin-bottom: 2px;
          }
          & .sumlevel {
            color: var(--lightgray);
            font-size: 11px;
            letter-spacing: 1px;
            line-height: 1.15;
            font-weight: 700;
            margin-top: 3px;
            text-transform: uppercase;
          }
        }
        &:hover {
          text-decoration: none;
        }
      }
    }
    & .all-results, & .no-results {
      background-color: var(--darkgray);
      border: 0;
      box-shadow: none;
      color: white;
      font-size: 12px;
      font-weight: 600;
      letter-spacing: 1px;
      padding: 10px 0;
      text-align: center;
      text-transform: uppercase;
    }
  }
}
